<?php

require '../../conexao/conexao.php';

function get_vendedores($codigo_filial)
{
    global $connection;

    // Ajuste da consulta SQL para incluir o filtro com o valor do select de `codigo_filial`
    $query = "
   SELECT 
              FU.CODIGO AS COD_VENDEDOR,
              FU.NOMEFUNCIONARIO AS NOME_VENDEDOR,
              FU.CODIGO_EMPRESA AS COD_FILIAL,
              FF.NOMEFUNCAO AS NOME_FUNCAO,
              FD.NOMEDEPTO AS NOME_DEPTO,
              FU.DATAADMISSAO AS DATA_ADMISSAO
          FROM FUNCIONARIO FU
          INNER JOIN FUNCIONARIO_FUNCAO FF ON FU.CODIGO_FUNCIONARIO_FUNCAO = FF.CODIGO
          INNER JOIN FUNCIONARIO_DEPTO FD ON FU.CODIGO_FUNCIONARIO_DEPTO = FD.CODIGO
          WHERE FU.CODIGO <> 0 and FD.NOMEDEPTO = 'VENDAS'
          and FU.CODIGO_EMPRESA = ? -- filtro pela filial selecionada
          GROUP BY
              FU.CODIGO,
              FU.NOMEFUNCIONARIO,
              FU.CODIGO_EMPRESA,
              FF.NOMEFUNCAO,
              FD.NOMEDEPTO,
              FU.DATAADMISSAO
          ORDER BY FU.NOMEFUNCIONARIO
    ";

    // Preparar a consulta
    $stmt = ibase_prepare($connection, $query);
    // Executar a consulta usando o valor do select `codigo_filial` para ambos os casos
    $result = ibase_execute($stmt, $codigo_filial);

    if ($result === false) {
        error_log('Erro na consulta: ' . ibase_errmsg());
        echo json_encode(['error' => 'Erro na consulta.']);
        exit;
    }

    // Converter o resultado para um array de vendedores
    //$vendedores = [];
    //while ($row = ibase_fetch_assoc($result)) {
        //$vendedores[] = $row; // Mantenha o array original
    //}
	
	
	// Converter o resultado para um array de vendedores
    $vendedores = [];
	while ($row = ibase_fetch_assoc($result)) {
		$row['NOME_VENDEDOR'] = mb_convert_encoding($row['NOME_VENDEDOR'], 'UTF-8', 'ISO-8859-1');
       $vendedores[] = $row;
   }

	

    return $vendedores;
}

// Se a requisição for via AJAX, retornar os dados em JSON
if (isset($_POST['filial'])) {
    $filial = $_POST['filial'];
    $vendedores = get_vendedores($filial);

    // Retornar os vendedores como JSON
    header('Content-Type: application/json');
    echo json_encode($vendedores); // Corrigido para retornar os dados dos vendedores
    exit;
}
